Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class Frequency36Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.Frequency36Choice

    public class Frequency36Choice
    extends java.lang.Object

Java class for Frequency36Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Frequency36Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Frequency6Code"/>
             <element name="Prd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}FrequencyPeriod1"/>
             <element name="PtInTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}FrequencyAndMoment1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected FrequencyPeriod1` `prd`
`protected FrequencyAndMoment1` `ptInTm`
`protected Frequency6Code` `tp`

### Constructor Summary

Constructors
`Frequency36Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrequencyPeriod1` `getPrd()` Gets the value of the prd property.
`FrequencyAndMoment1` `getPtInTm()` Gets the value of the ptInTm property.
`Frequency6Code` `getTp()` Gets the value of the tp property.
`void` `setPrd​(FrequencyPeriod1 value)` Sets the value of the prd property.
`void` `setPtInTm​(FrequencyAndMoment1 value)` Sets the value of the ptInTm property.
`void` `setTp​(Frequency6Code value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected Frequency6Code tp

#### prd

    protected FrequencyPeriod1 prd

#### ptInTm

    protected FrequencyAndMoment1 ptInTm

### Constructor Detail

#### Frequency36Choice

    public Frequency36Choice()

### Method Detail

#### getTp

    public Frequency6Code getTp()

Gets the value of the tp property.

Returns:
  possible object is `Frequency6Code`

#### setTp

    public void setTp​(Frequency6Code value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `Frequency6Code`

#### getPrd

    public FrequencyPeriod1 getPrd()

Gets the value of the prd property.

Returns:
  possible object is `FrequencyPeriod1`

#### setPrd

    public void setPrd​(FrequencyPeriod1 value)

Sets the value of the prd property.

Parameters:
  `value` - allowed object is `FrequencyPeriod1`

#### getPtInTm

    public FrequencyAndMoment1 getPtInTm()

Gets the value of the ptInTm property.

Returns:
  possible object is `FrequencyAndMoment1`

#### setPtInTm

    public void setPtInTm​(FrequencyAndMoment1 value)

Sets the value of the ptInTm property.

Parameters:
  `value` - allowed object is `FrequencyAndMoment1`